Bug 535153 - (RHQ-1879) Improve Alert workflow for auto-disabled alerts
Improve Alert workflow for auto-disabled alerts
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
: FutureFeature, Improvement
Depends On:
  Show dependency treegraph
Reported: 2009-03-30 09:44 EDT by Heiko W. Rupp
Modified: 2010-03-23 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-23 14:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-03-30 09:44:00 EDT
Currently when an alert is set to fire once and then disable yourself, it is hard for an administrator to re-enable it.

On the dashboard you can click on the alert name to see the one alert instance or on the definition to see its definition.

Clicking on the alert lets the user delete it, but not re-enable it.
Clicking on the defiition lets the user re-enable it, but not delete the alert instance.

There should be a "delete & enable" button on the alert instance if the alert has been disabled (due to firing).

Comment 1 Red Hat Bugzilla 2009-11-10 15:48:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1879
Comment 2 wes hayutin 2010-02-16 12:10:06 EST
mass add of key word FutureFeature to help track
Comment 3 Heiko W. Rupp 2010-02-24 11:03:19 EST
While not directly implemented it this way, there is now with BZ 535889 the possibility to first enable the definition on the alert detail page and then with a 2nd click on the same page delete this fired alert instance.
While I initially proposed this as a user feedback, I don't think we need to make this 1-click, as the user will with the current implementation stay on the same page and does not need to remember where to go and click anymore.

So I propose to close with WONTFIX
Comment 4 Corey Welton 2010-03-23 14:19:14 EDT
QA Closing as WONTFIX -  see bug #535889

Note You need to log in before you can comment on or make changes to this bug.